<%@ Control Language="VB" AutoEventWireup="false" CodeFile="Packages.ascx.vb" Inherits="DotNetNuke.Modules.Reports.Packages" %>
<%@ Register TagPrefix="dnn" TagName="Label" Src="~/controls/LabelControl.ascx" %>
<div class="Subhead" style="text-align: left; padding-bottom: 2px">
    <dnn:Label ID="PackagesLabel" runat="server" ControlName="PackagesGrid"></dnn:Label>
</div>
<asp:GridView ID="PackagesGrid" runat="server" AutoGenerateColumns="False" BorderStyle="None"
    Width="100%" CellPadding="2">
    <Columns>
        <asp:TemplateField>
            <ItemTemplate>
                <asp:Image ID="PreviousVersionWarningImage" runat="server" ImageUrl="images/LegacyPackage.gif"
                    Visible='<%# IsLegacy(Eval("ModuleVersion")) %>' />
            </ItemTemplate> 
        </asp:TemplateField>
    </Columns>
</asp:GridView>
<div style="text-align: left; width: 400px; padding: 2px 0px 2px 0px" id="PreviousVersionWarningBlock" runat="server" visible="false">
    <div style="float: left">
        <asp:Image ID="PreviousVersionWarningImage" runat="server" ImageUrl="images/LegacyPackage.gif" />
    </div>
    <asp:Label ID="PreviousVersionWarningLabel" runat="server" ResourceKey="PreviousVersionWarning" CssClass="NormalRed" />
</div>
<hr />
<asp:Panel ID="InstallPackagePanel" runat="server" CssClass="Subhead">
    <asp:Label ID="InstallPackageLabel" runat="server" ResourceKey="InstallPackageLabel.Text"
        CssClass="Subhead" />
    <div style="text-align: left; width: 400px; padding: 2px 0px 2px 0px">
        <div style="float: left">
            <asp:Image ID="WarningImage" runat="server" ImageUrl="~/images/yellow-warning.gif" />
        </div>
        <asp:Label ID="WarningMessage" runat="server" ResourceKey="WarningMessage" CssClass="NormalRed" />
    </div>
    <table style="width: 75%">
        <tr>
            <td class="Subhead" style="width: 200px">
                <dnn:Label ID="PackageFileLabel" runat="server" ControlName="PackageFileUpload"></dnn:Label>
            </td>
            <td>
                <asp:FileUpload ID="PackageFileUpload" runat="server" CssClass="NormalTextBox" Width="100%" />
            </td>
        </tr>
        <tr>
            <td colspan="2" style="text-align: center">
                <asp:LinkButton CssClass="CommandButton" ID="InstallButton" resourcekey="InstallButton"
                    runat="server"></asp:LinkButton>&nbsp;
                <asp:HyperLink CssClass="CommandButton" ID="BackLink" resourcekey="cmdBack" runat="server"
                    NavigateUrl="<%# NavigateUrl() %>" />
            </td>
        </tr>
    </table>
</asp:Panel>
